# Parma_Polyhedra_Library::Poly_Gen_Relation Class Reference
[C++ Language Interface]

The relation between a polyhedron and a generator. More...

List of all members.

## Public Member Functions

bool | implies (const Poly_Gen_Relation &y) const
| True if and only if `*this` implies `y`.
bool | OK () const
| Checks if all the invariants are satisfied.

## Static Public Member Functions

static Poly_Gen_Relation | nothing ()
| The assertion that says nothing.
static Poly_Gen_Relation | subsumes ()
| Adding the generator would not change the polyhedron.

## Friends

bool | operator== (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| True if and only if `x` and `y` are logically equivalent.
bool | operator!= (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| True if and only if `x` and `y` are not logically equivalent.
Poly_Gen_Relation | operator && (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| Yields the logical conjunction of `x` and `y`.
Poly_Gen_Relation | operator- (const Poly_Gen_Relation &x, const Poly_Gen_Relation &y)
| Yields the assertion with all the conjuncts of `x` that are not in `y`.
std::ostream & | operator<< (std::ostream &s, const Poly_Gen_Relation &r)
| Output operator.

## Detailed Description

The relation between a polyhedron and a generator.

This class implements conjunctions of assertions on the relation between a polyhedron and a generator.